
%define plugin	muggle
%define name	vdr-plugin-%plugin
%define version	0.2.3
%define rel	2

# backportability
%define _localstatedir %{_var}

Summary:	VDR plugin: Media juggle
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://sourceforge.net/projects/vdr-muggle/
Source:		http://downloads.sourceforge.net/vdr-muggle/vdr-%plugin-%version.tgz
Patch0:		muggle-0.2.1-convert-location.patch
Patch1:		muggle-includes.patch
Patch4:		muggle-const-char-gcc4.4.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi
BuildRequires:	mysql-static-devel
BuildRequires:	mad-devel
BuildRequires:	libtaglib-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libflac++-devel
BuildRequires:	libsndfile-devel
BuildRequires:	imlib2-devel
Requires:	mjpegtools
Requires:	netpbm

%description
The muggle plugin provides a database link for VDR so that selection
of media becomes more flexible.

%prep
%setup -q -n %plugin-%version
%patch0 -p1
%patch1 -p1
%patch4 -p1
sed -i 's,@MUGGLEDATADIR@,%{_vdr_plugin_datadir}/%{plugin},' mg_image_provider.c
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# specify database name (default is GiantDisc)
var=DB_NAME
param="-n DB_NAME"
# specify toplevel directory for music (default is /mnt/music)
var=TOPLEVEL
param="-t TOPLEVEL"
# specify directory for embedded sql data (default is /var/lib/muggle)
var=DATADIR
param="-d DATADIR"
default=%{_localstatedir}/lib/muggle
# specify debug level. The higher the more. Default is 1
var=VERBOSE
param="-n VERBOSE"
# specify database host (default is embedded or localhost)
# if the specified host is localhost, sockets will
# be used if possible
# Otherwise the SOCKET parameter will be ignored
var=DB_HOST
param="-h DB_HOST"
# specify database socket
var=DB_SOCKET
param="-s DB_SOCKET"
# specify port of database server
var=DB_PORT
param="-p DB_PORT"
# specify database user
var=DB_USER
param="-u DB_USER"
# specify database password (default is empty)
# remember to chmod this file if you don't want the users to
# see the password
var=DB_PASSWORD
param="-w DB_PASSWORD"
%vdr_plugin_params_end

%build
# HAVE_FLAC=1 omitted, API incompatibility
%vdr_plugin_build HAVE_VORBISFILE=1 HAVE_SNDFILE=1 HAVE_FLAC=1 \
%if %mdkversion <= 200700
%ifnarch %ix86
	HAVE_ONLY_SERVER=1 # workaround for #24168
%endif
%endif

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
install -m755 scripts/muggle-image-convert %{buildroot}%{_vdr_plugin_datadir}/%{plugin}

install -d -m755 %{buildroot}%{_bindir}
install -m755 mugglei %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_localstatedir}/lib/muggle

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY README* TODO scripts
%{_vdr_plugin_datadir}/%{plugin}
%{_bindir}/mugglei
%attr(-,vdr,vdr) %dir %{_localstatedir}/lib/muggle


%changelog
* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.2.3-2mdv2010.1
+ Revision: 533631
- rebuild

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 0.2.3-1mdv2010.0
+ Revision: 449965
- new version
- drop type.patch, format-string.patch, fixed upstream
- remove upstream-fixed hunk of includes.patch

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.2.1-4mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- fix build with gcc4.4 (const-char-gcc4.4.patch)
- add another missing include (includes.patch)

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.2.1-3mdv2009.1
+ Revision: 359747
- fix types (types.patch)
- fix includes (includes.patch)
- fix format strings (format-string.patch)
- rebuild for new vdr
- define %%_localstatedir locally for backportability

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.2.1-2mdv2009.0
+ Revision: 197952
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.2.1-1mdv2009.0
+ Revision: 197774
- buildrequires imlib2-devel
- new version
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- fix converter location (P0)
- re-enable flac support
- drop unneeded makefile hack

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.1.11-17mdv2008.1
+ Revision: 145138
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-16mdv2008.1
+ Revision: 103167
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-15mdv2008.0
+ Revision: 50020
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-14mdv2008.0
+ Revision: 42106
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-13mdv2008.0
+ Revision: 23252
- fix backportability

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-12mdv2008.0
+ Revision: 22758
- rebuild for new vdr


* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 0.1.11-11mdv2007.0
+ Revision: 131967
- enable server on non-x86 as well as #24168 is fixed

* Fri Dec 08 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-9mdv2007.1
+ Revision: 93626
- disable flac support
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-8mdv2007.1
+ Revision: 74050
- rebuild for new vdr
- Import vdr-plugin-muggle

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-6mdv2007.0
- stricter abi requires
- fix adding -lssl
- workaround #24168

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-4mdv2007.0
- rebuild for new vdr

* Thu Jul 20 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-3mdv2007.0
- fix buildrequires

* Sun Jul 16 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-2mdv2007.0
- fix missing dir

* Sun Jul 16 2006 Anssi Hannula <anssi@mandriva.org> 0.1.11-1mdv2007.0
- initial Mandriva release

